-- | A module that represents the target levels to @scalac@ and @scaladoc@.
module Lastik.Scala.Target(
                           Target(..)
                          ) where

-- | Specify for which target object files should be built (jvm-1.5,jvm-1.4,msil)
data Target = JVM1_5   -- ^ @jvm-1.5@
              | JVM1_4 -- ^ @jvm-1.4@
              | MSIL   -- ^ @msil@
  deriving Eq

instance Show Target where
  show JVM1_5 = "jvm-1.5"
  show JVM1_4 = "jvm-1.4"
  show MSIL = "msil"
